<div class="well well-lg registration">
    <div class="row">
        <div class="col-sm-offset-3 col-sm-4">
            <form class="form-horizontal" [formGroup]="verifyForm" (ngSubmit)="onSubmit()">
                <div class="text-center">
                    <h2>{{ 'verification.verify' | translate }}</h2>
                    <p>{{ 'verification.verify-message' | translate }}</p>
                    <div *ngIf="error">
                        <div class="invalid-feedback">
                            <div>{{ 'verification.verify-error' | translate }}</div>
                        </div>
                    </div>
                </div>

                <br>
                <div class="form-group">
                    <label class="control-label" for="email">{{ 'register.phone-number' | translate }}:</label>
                    <div class="">
                        <input type="text" class="form-control" formControlName="phone" placeholder="61 234 567"
                            [value]="phone">
                        <div *ngIf="submitted && f.phone.errors" class="invalid-feedback">
                            <div *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label " for="reg-code">{{ 'verification.verify-code' | translate }}:</label>
                    <div class="">
                        <input type="text" class="form-control" formControlName="verificationCode" placeholder="123456">
                        <div *ngIf="submitted && f.verificationCode.errors" class="invalid-feedback" required>
                            <div *ngIf="f.verificationCode.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="f.verificationCode.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="f.verificationCode.errors.minlength">
                                {{ 'verification.reset-code-error' | translate }}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="">
                        <button type="submit"
                            class="btn btn-default">{{ 'verification.verify-button' | translate }}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>